### Method

# GLib HashTableIter replace

since: 2.30

#### Declaration

    void
    g_hash_table_iter_replace (
      GHashTableIter* iter,
      gpointer value
    )

#### Description

Replaces the value currently pointed to by the iterator from its associated `GHashTable`. Can only be called after `g_hash_table_iter_next()` returned `TRUE`.

If you supplied a `value_destroy_func` when creating the `GHashTable`, the old value is freed using that function.

Available since: 2.30

#### Parameters

`value`

  Type: `gpointer`

  The value to replace with.

  The argument can be `NULL`.
  The data is owned by the caller of the method.